
__kernel void createCellIndices
(
  __global ulong2* gridCells,
  __global int* gridCellIndices,
  const int dummyElements
)
{
  int i = get_global_id(0);
  ulong gridCellix = gridCells[i].x;
  
  if (i > dummyElements) {
    if (gridCellix != gridCells[i-1].x) {
      gridCellIndices[gridCellix] = i;
    }
  }
  else if (i == dummyElements) {
    gridCellIndices[gridCellix] = i;
  }
}
