
__kernel void swapFluid
(
  __global float3* pos,
  __global float3* posTmp, 
  __global float3* vel,
  __global float3* velTmp, 
  __global ulong2* gridCells,
  const int dummyElements
)
{
  int i = get_global_id(0);
  
  if (i >= dummyElements) {
    ulong gridCelliy = gridCells[i].y;
    int ii = i-dummyElements;
    
    gridCells[i].y = ii;
    
    posTmp[ii] = pos[gridCelliy];
    velTmp[ii] = vel[gridCelliy];
  }
}
