
__kernel void clearState
(
  __global float* density, 
  __global float* isoDensity, 
  __global float* pressure, 
  __global float3* acc, 
  __global float3* vorticity,
  const int clearPressure
) 
{
  int i = get_global_id(0);

  density[i] = 0;
  isoDensity[i] = 0;
	if (clearPressure) {
    pressure[i] = 0;
  }
  
  acc[i] = (0, 0, 0);
  vorticity[i] = (0, 0, 0);
}
