
__kernel void saveState
(
  __global float3* pos,
  __global float3* posTmp, 
  __global float3* vel,
  __global float3* velTmp,
  __global float3* acc,
  __global float3* accTmp
) 
{
  int i = get_global_id(0);

  posTmp[i] = pos[i];
  velTmp[i] = vel[i]; 
  accTmp[i] = acc[i];   
}
