#pragma once

class RenderOptions {

  private:

    GLhandleARB GLSLprogram;

    GLboolean forceWireframe;

    RenderOptions(): GLSLprogram(0) {};
    RenderOptions(RenderOptions const&);                 
    
    void operator=(RenderOptions const&); 

  public:

    static RenderOptions& getInstance();

    GLvoid setRenderOptions(GLhandleARB GLSLprogram, GLboolean forceWireframe);
    GLvoid applyRenderOptions();
    GLvoid cancelRenderOptions();

    GLhandleARB getGLSLprogram() { return GLSLprogram; };
    GLvoid setGLSLprogram(GLhandleARB value) { GLSLprogram = value; };

    GLboolean getForceWireframe() { return forceWireframe; };

};