
__kernel void swapSolid
(
  __global float3* solidPos,
  __global float3* solidPosTmp, 
  __global ulong2* gridCells,
  const int dummyElements
)
{
  int i = get_global_id(0);
  
  if (i >= dummyElements) {
    ulong gridCelliy = gridCells[i].y;
    int ii = i-dummyElements;
    
    gridCells[i].y = ii;
    
    solidPosTmp[ii] = solidPos[gridCelliy];
  }
}
