
__kernel void loadState
(
  __global float3* pos, 
  __global float3* posTmp,
  __global float3* vel, 
  __global float3* velTmp,
  __global float3* acc,
  __global float3* accTmp
) 
{
  int i = get_global_id(0);

  pos[i] = posTmp[i];
  vel[i] = velTmp[i];
  acc[i] = accTmp[i];     
}
