
__kernel void findNeighboursSolidN2
(
  __global float3* solidPos, 
  __global int* neighboursSolidSolid,
  __global int* neighboursSolidSolidCount,
  const int neighboursSolidSolidCountMax  
) 
{
  int i = get_global_id(0);
  int offsetSolid = i*neighboursSolidSolidCountMax;
  
  float3 solidPosi = solidPos[i];
  
  int k = 0;

  for (int j = 0; j < solidParticlesCount; j++) {
    if (j != i && k < neighboursSolidSolidCountMax) {
      if (distance2(solidPosi.x, solidPosi.y, solidPosi.z, solidPos[j].x, solidPos[j].y, solidPos[j].z) < radius2) {
        neighboursSolidSolid[offsetSolid + k] = j;
        k++;
      }
    }
  } 
  
  if (k < neighboursSolidSolidCountMax) {
    neighboursSolidSolid[offsetSolid + k] = -1;
  }
  neighboursSolidSolidCount[i] = k;
}
