#pragma once

class CamerasManager {

  private:

    GLint currentCamera;
    std::vector<Camera*> cameras;

    OpenGL* opengl;

  public:

    CamerasManager(OpenGL* ogl);
    ~CamerasManager();

    Camera* getCurrentCamera()                                                                              { return cameras[currentCamera]; };

    GLboolean initCameras();
    GLvoid freeCameras();

    GLvoid keyDown(GLint key);
    GLvoid keyUp(GLint key);

    GLvoid mouseDown(GLint mouseButton, GLint x, GLint y);
    GLvoid mouseUp(GLint mouseButton, GLint x, GLint y);
    GLvoid mouseMove(GLint mouseButton, GLint x, GLint y);
    GLvoid mouseScroll(GLfloat delta);

};