#include "../main.h"

RenderOptions& RenderOptions::getInstance() {
  static RenderOptions instance; 
  return instance;
}

GLvoid RenderOptions::setRenderOptions(GLhandleARB GLSLprogram, GLboolean forceWireframe) {
  this->GLSLprogram = GLSLprogram;
  this->forceWireframe = forceWireframe;
}

GLvoid RenderOptions::applyRenderOptions() {
  glUseProgramObjectARB(GLSLprogram);
}

GLvoid RenderOptions::cancelRenderOptions() {
  glUseProgramObjectARB(0);
}